Page MenuHomeFreeBSD

ix, ixv: Read msix_bar from device configuration
ClosedPublic

Authored by piotr.pietruszewski_intel.com on Sep 6 2019, 12:40 PM.

Details

Summary

Instead of predicting MSI-X bar basing on mac type, read it from device
configuration.

This patch resolves PR 239704.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

erj added a reviewer: jhb.Sep 9 2019, 5:30 PM
erj added a subscriber: erj.

Is there a reason that we wouldn't do this for all of our drivers, instead of hardcoding the BAR index?

I agree with Eric, we should depend on the device to be configured properly, and push to get the images for the device updated if they're wrong.

jhb added a comment.Sep 13 2019, 5:03 AM

If the BAR varies across devices, I think using pci_msix_table_bar is probably the simplest thing to do.

erj accepted this revision.Sep 17 2019, 4:38 PM
This revision is now accepted and ready to land.Sep 17 2019, 4:38 PM
This revision was automatically updated to reflect the committed changes.